| Home · All Classes · All Namespaces · Modules · Functions · Files

# SimpleContactPresences Struct Reference
[Mapping types]

`#include <TelepathyQt4/Types>`

List of all members.

## Public Member Functions

- SimpleContactPresences ()
- SimpleContactPresences (const QMap< uint, SimplePresence > &a)
- SimpleContactPresences & operator= (const QMap< uint, SimplePresence > &a)

## Detailed Description

Mapping type generated from the specification. Convertible with QMap<uint, SimplePresence>, but needed to have a discrete type in the Qt4 type system.

Mapping returned by GetPresences and signalled by PresencesChanged, indicating the presence of a number of contacts.

## Constructor & Destructor Documentation

SimpleContactPresences | ( |  | ) | `[inline]`

SimpleContactPresences | ( | const QMap< uint, SimplePresence > & | a | ) | `[inline]`

## Member Function Documentation

SimpleContactPresences& operator= | ( | const QMap< uint, SimplePresence > & | a | ) | `[inline]`